List users
Retrieves a list of users based on the provided query parameters.
Scoped OAuth requires: users.read
Authorization
apiKey bearerToken A General Access API Key with format Token token=<API_KEY>
In: header
An App OAuth Token with format Bearer <TOKEN>
In: header
Query Parameters
The 1-based index of the first result.
Specifies the desired maximum number of query results per page.
A filter expression to apply to the query. The only supported filters are by userName and externalId.
Response Body
application/scim+json
application/scim+json
application/scim+json
application/scim+json
application/scim+json
Get user GET
Retrieves a user by their unique identifier. Scoped OAuth requires: `users.read`
Patch a user PATCH
Performs a SCIM PATCH operation on a user. Supports: - Replacement of specific attributes using the 'path' parameter - Full or partial update using the 'value' parameter without a path - Setting 'active' to false to delete the user (returns 204 No Content) - Removing attributes using the 'remove' operation. Only optional attributes can be removed. Scoped OAuth requires: `users.write`